<?php
defined('ABSPATH') or die;
/**
 * Page template with raw html
 */

global $post;
$data_provider = np_data_provider($post->ID);
$headerNp = get_option('headerNp', true);
$footerNp = get_option('footerNp', true);
$tmpPath = get_template_directory();

$cookiesConsent = NpMeta::get('cookiesConsent') ? json_decode(NpMeta::get('cookiesConsent'), true) : '';
if ($cookiesConsent && (!$cookiesConsent['hideCookies'] || $cookiesConsent['hideCookies'] === 'false')) {
    $cookiesSection = $cookiesConsent['publishCookiesSection'];
}

?>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php wp_head(); ?>
</head>
<body class="<?php echo $data_provider->getPageBodyClass(); ?>"
      style="<?php echo $data_provider->getPageBodyStyle(); ?>">
<?php the_post();
if (NpMetaOptions::get($post->ID, 'np_template') === 'html') {
    ob_start();
    the_content();
    $content = ob_get_clean();
    $headerItem = '';
    if ($headerNp && !$data_provider->getHideHeader()) {
        $headerItem = json_decode($headerNp, true);
        $publishHeader = $headerItem['php'];
        $content = $headerItem['styles'] . $publishHeader . $content;
    }
    $footerItem = '';
    if ($footerNp && !$data_provider->getHideFooter()) {
        $footerItem = json_decode($footerNp, true);
        $publishFooter = $footerItem['php'];
        $content = $content . $footerItem['styles'] . $publishFooter;
    }
    echo Nicepage::processContent($content);
    wp_footer();
} ?>
<?php echo $cookiesSection; ?>
</body>
</html>